# Research network in Biodesign

Info about how to use the research network in Biodesign:

The research network in Biodesign is a 10 Gbps dedicated link that is deeply buffered (in a loose sense), completely unfiltered, and hosts IPv4 and IPv6 addresses:

* https://search.arin.net/rdap/?query=207.246.62.0
* https://whois.arin.net/rest/net/NET6-2604-E580-FFFF-FF00-1

Note the ARIN ID in the whois entries above, that enables us to use the research network for Internet measurements and handle abuse reports directly.  We built the research network not only for our own research but also to be a resource for any Biodesign or CIDSE researchers that might be able to make use of it.

To use the research network for a project, these are the steps:

* Read the [MOU](mou.pdf).

* Get in touch with William Tolley (ask me, Jed, for his email address if you don't have it) and make sure you get added to the abuse mailing list.  Note that you must respond to abuse complaints that may be related to your measurements within 24 hours, as per the MOU.

* Email me (Jed) to get a VM and one or more IP addresses.  Be sure to give me some specs and justification for those specs, like what you need in terms of CPU, RAM, number of IPs, and why.

* Edit the page [here](http://theseinternetmeasurementsareforresearchmoreinfohere.breakpointingbad.net/) (Jed, William, or Ben can give you instructions for doing so) to make sure your project is described in a way that would make it easy for someone who is following our reverse DNS or whois entry to that page to know more about your project and why they're seeing the traffic they saw from it.

* Never use IPs that aren't assigned to you [here](http://207.246.62.22/ips.txt).

* Never send traffic where the source or destination IP address is from any of the blocks in [bannlist4.txt](http://207.246.62.22/bannlist4.txt) or [bannlist6.txt](http://207.246.62.22/bannlist6.txt).  Your code should periodically (every hour, at least), refresh from these files to make sure the active bannlist in memory reflects what's there in those files, and if any network operators opt out of future measurements and you're the one who handles the abuse complaint, you should update those files to make sure that is reflected.  You may need to ask the network operator which IP addresses belong to them that they'd like to opt out.

* Regularly update your virtual machine, and never open any ports without getting my (Jed's) permission to do so.  Be careful, installing certain packages can open ports without your knowledge.

FYI, other than Internet scans and Internet measurements, here are some other ways you may be able to use the research network:

* While we don't advertise BGP on our own for our research network, the fact that we have our own ARIN ID may make this an option.  Email me (Jed) if you're interested.

* We plan to set up our own server for both DNS and reverse DNS, so if you can utilize that in any way email me (Jed).